3 if [ -x /usr/bin/ao-flash-stm ]; then
4 FLASH_STM=/usr/bin/ao-flash-stm
6 echo "Can't find ao-flash-stm! Aborting."
10 if [ -x /usr/bin/ao-usbload ]; then
11 USBLOAD=/usr/bin/ao-usbload
13 echo "Can't find ao-usbload! Aborting."
20 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
21 echo "Copyright 2014 by Bdale Garbee. Released under GPL v2"
24 echo "\t$PRODUCT v$VERSION powered from USB"
25 echo "\t\twith ST-Link-V2 cabled to debug header"
26 echo "\t\twith coax from UHF to frequency counter"
28 echo -n "$PRODUCT-$VERSION serial number: "
33 echo "$PRODUCT-$VERSION serial number: $SERIAL"
36 echo -n "$PRODUCT-$VERSION serial number: "
40 echo "Usage: $0 <serial-number>" 1>&2
47 $FLASH_STM ~/altusmetrumllc/Binaries/loaders/telemetrum-v$VERSION-*.elf || exit 1
51 $USBLOAD --serial=$SERIAL ~/altusmetrumllc/Binaries/telemetrum-v$VERSION-*.elf || exit 1
55 dev=`ao-list | awk '/TeleMetrum-v'"$VERSION"'/ { print $3; exit(0); }'`
59 echo "TeleMetrum found on $dev"
62 echo 'No TeleMetrum-v'"$VERSION"' found'
69 SERIAL=$SERIAL ./cal-freq $dev
72 while [ $failed = 1 ]; do
73 ../ao-tools/ao-cal-accel/ao-cal-accel $dev